package grpc

import (
	"context"

	semconv "go.opentelemetry.io/otel/semconv/v1.27.0"
)

// TODO: Implement
func (a *appGRPCServer) runGRPCServer(spanCtx context.Context) error {
	_, span := a.tracer.Start(spanCtx, "appgrpc.init.start")
	defer span.End()

	span.SetAttributes(
		semconv.RPCSystemGRPC,
		semconv.NetworkProtocolName("grpc"),
		semconv.ServerAddress(a.opts.Listen),
	)

	return nil
}
